### A free/open-source library for quantitative finance

Typedefs | Functions
ql/math/optimization/lmdif.hpp File Reference

wrapper for MINPACK minimization routine More...

`#include <ql/qldefines.hpp>`
`#include <boost/function.hpp>`
Include dependency graph for lmdif.hpp:

## Typedefs

typedef boost::function< void(int, int, double *, double *, int *) | LmdifCostFunction )

## Functions

void | lmdif (int m, int n, double *x, double *fvec, double ftol, double xtol, double gtol, int maxfev, double epsfcn, double *diag, int mode, double factor, int nprint, int *info, int *nfev, double *fjac, int ldfjac, int *ipvt, double *qtf, double *wa1, double *wa2, double *wa3, double *wa4, const LmdifCostFunction &fcn)
void | qrsolv (int n, double *r, int ldr, int *ipvt, double *diag, double *qtb, double *x, double *sdiag, double *wa)
void | qrfac (int m, int n, double *a, int, int pivot, int *ipvt, int, double *rdiag, double *acnorm, double *wa)

## Detailed Description

wrapper for MINPACK minimization routine